Subject: Re: [GSoC PATCH 0/2] repo: add -z and objects.format

From: Junio C Hamano <[email-masked]>
Date: Thu, 21 Aug 2025 09:12:01 -0700

Karthik Nayak <[email-masked]> writes:

> Lucas Seiki Oshiro <[email-masked]> writes:
>
>> Hi!
>>
>> This patchset adds two features to `git repo info`. They are unrelated,
>> but I preferred to send them together to avoid merge conflicts and
>> because they are small.
>>
>> - The first patch adds the `-z` as an alias for `--format=null`, as
>>   requested in [1]
>>
>> - The second patch adds `objects.format`, which retrieves the same value
>>   as `git rev-parse --show-object-format`
>>
>> Thanks!
>>
>
> Just a tip: It would be nice to mention which base branch this is based
> on top of and dependencies.

A very good suggestion.  As this builds on top of lo/repo-info,
which currently is at a81224d1 (repo: add the --format flag,
2025-08-16), I queued on top of a merge of that topic into Git 2.51

Thanks.